# Uses of Interface
org.eclipse.debug.ui.contexts.IDebugContextProvider

Packages that use IDebugContextProvider
Package
Description
org.eclipse.debug.ui.contexts
Provides a set of interfaces and classes for debug context management.

## Uses of IDebugContextProvider in org.eclipse.debug.ui.contexts

Subinterfaces of IDebugContextProvider in org.eclipse.debug.ui.contexts
Modifier and Type
Interface
Description
`interface`
`IDebugContextProvider2`
This extension to `IDebugContextProvider` allows clients to specify the scope that the context provider will apply to.
Classes in org.eclipse.debug.ui.contexts that implement IDebugContextProvider
Modifier and Type
Class
Description
`class`
`AbstractDebugContextProvider`
Abstract implementation of a debug context provider.
Methods in org.eclipse.debug.ui.contexts that return IDebugContextProvider
Modifier and Type
Method
Description
`IDebugContextProvider`
DebugContextEvent.`getDebugContextProvider()`
Returns the context provider that initiated this event.
Methods in org.eclipse.debug.ui.contexts with parameters of type IDebugContextProvider
Modifier and Type
Method
Description
`void`
IDebugContextService.`addDebugContextProvider(IDebugContextProvider provider)`
Registers the given debug context provider with this service.
`void`
IDebugContextService.`removeDebugContextProvider(IDebugContextProvider provider)`
Unregisters the given debug context provider from this service.
Constructors in org.eclipse.debug.ui.contexts with parameters of type IDebugContextProvider
Modifier
Constructor
Description
``
`DebugContextEvent(IDebugContextProvider source, ISelection context, int flags)`
Constructs a new debug context event.